- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::MathTools::CBounds Class Reference

List of all members.

## Detailed Description

Ensure certain ranges are adhered to.

Date:
  13/11/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CBounds.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 29 of file CBounds.hpp.

## Static Public Member Functions

- static __forceinline void clampRange (double &value, const double min, const double max)
- static __forceinline long ensureRange (const long value, const long min, const long max)
- static __forceinline double ensureRange (double value, const double min, const double max)
- static __forceinline double rangeCheck (const double value)

## Member Function Documentation

static __forceinline void Exponent::MathTools::CBounds::clampRange | ( | double & | value,
|  | const double | min,
|  | const double | max |
| ) |  |  | `[inline, static]`

Ensure the range of a long

Parameters:

  | value | The value to clamp, on return holds the clamped value
  | min | The min value it can have
  | max | The max value it can have

Return values:

  | long | The clamped value

Definition at line 82 of file CBounds.hpp.

static __forceinline long Exponent::MathTools::CBounds::ensureRange | ( | const long | value,
|  | const long | min,
|  | const long | max |
| ) |  |  | `[inline, static]`

Ensure the range of a long

Parameters:

  | value | The value to clamp
  | min | The min value it can have
  | max | The max value it can have

Return values:

  | long | The clamped value

Definition at line 62 of file CBounds.hpp.

static __forceinline double Exponent::MathTools::CBounds::ensureRange | ( | double | value,
|  | const double | min,
|  | const double | max |
| ) |  |  | `[inline, static]`

Ensure the range of a double

Parameters:

  | value | The value to clamp
  | min | The min value it can have
  | max | The max value it can have

Return values:

  | double | The clamped value

Definition at line 42 of file CBounds.hpp.

Referenced by rangeCheck().

static __forceinline double Exponent::MathTools::CBounds::rangeCheck | ( | const double | value | ) | `[inline, static]`

Range check a value (same as calling CBounds::ensureRange(value, 0.0, 1.0))

Parameters:

  | value | The value to clamp

Return values:

  | double | Value in range 0 - 1

Definition at line 99 of file CBounds.hpp.

References ensureRange().